import yoda

def mkPlotFriendlyScatter(ao):
  t = ao.type()
  rtn = ao if 'Scatter' in t else ao.mkScatter(ao.path())
  if 'Binned' in t:
      for i, axis in enumerate(ao.axisConfig().split(',')):
          if axis != 'd':
              # add dummy uncertainty
              for p in rtn.points():
                  p.setErr(i, 0.5)
              # decorate with custom labels
              if i < 3 and rtn.hasAnnotation('EdgesA%d' % (i+1)):
                  ALPHA = 'XYZ'
                  labels = rtn.annotation('EdgesA%d' % (i+1))
                  anno = '\t'.join([ '%d\t%s' % x for x in list(zip(rtn.vals(i),labels)) ])
                  rtn.setAnnotation(ALPHA[i]+'CustomMajorTicks', anno)
  return rtn


